<?php
//version:1.2
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/sitelinks.php";

if (!defined("LANGUAGE")) {
	define ("LANGUAGE", $settings['locale']);
	define ("NO_MFUSION", true);
} else {
	define ("NO_MFUSION", false);
}

if (!defined("ADMIN_LANGUAGE")) {
	define ("ADMIN_LANGUAGE", $settings['locale']);
}

if (file_exists(INFUSIONS."new_navigation_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."new_navigation_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."new_navigation_panel/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");
if (!checkrights("SL")) fallback("../index.php");
if (isset($link_id) && !isNum($link_id)) fallback(FUSION_SELF);
if (!isset($action)) $action = "";

if (!isset($nnp_page)) {
	$nnp_page=1;
}

define ("NNP_VERSION", "1.2");

$result = dbquery("SELECT * FROM ".$db_prefix."site_links_new;");
$rows = dbrows($result);
if (!isset($_POST['import_data_no']) && $rows==0) {
   opentable($locale['nnp220']);
	if ($rows==0) {
	   if (isset($_POST['import_data_yes'])) {
         $result = dbquery("SELECT * FROM ".$db_prefix."site_links");
         while ($data = dbarray($result)) {
            if ($data['link_name']!="---" && $data['link_url']=="---") {
               $image = "000.gif";
            } else {
               $image = "";
            }
            echo $image;
         	if (NO_MFUSION==true) {
         		if (!$result2 = dbquery("INSERT INTO ".$db_prefix."site_links_new
         		VALUES (
         		'".$data['link_id']."', 
         		'".$data['link_name']."',
         		'".$data['link_url']."',
         		'".$data['link_visibility']."',
         		'".$data['link_position']."',
         		'".$data['link_window']."',
         		'".$data['link_order']."',
         		'".$image."',
         		'0',
         		'".ADMIN_LANGUAGE."'
         		)")) $error=1;
         	} else {
         		if (!$result2 = dbquery("INSERT INTO ".$db_prefix."site_links_new
         		VALUES (
         		'".$data['link_id']."', 
         		'".$data['link_name']."',
         		'".$data['link_url']."',
         		'".$data['link_visibility']."',
         		'".$data['link_position']."',
         		'".$data['link_window']."',
         		'".$data['link_order']."',
         		'".$image."',
         		'0',
         		'".$data['link_language']."'
         		)")) $error=1;
         	}
         }
         echo "<center>";
         if ($error==1) {
         	echo "<span style='color:red;font-weight:bold'>".$locale['nnp230']."</span><br  /><br  />";
         } else {
         	echo $locale['nnp231']."<br  /><br  />";
         }
         echo "<a href='".FUSION_SELF."'>".$locale['nnp240']."</a><br  /><br  />";
         echo "<a href='".ADMIN."index.php'>".$locale['nnp241']."</a>";
         echo "</center>";
	   } else {
	      echo "<center>";
	      echo "<form action='".FUSION_SELF."' method='post'>";
	      echo $locale['nnp221']."<br><br>";
	      echo "<input class='button' style='width:60px' type='submit' name='import_data_yes' value='".$locale['nnp222']."'/>";
	      echo "&nbsp;&nbsp;&nbsp;<input class='button' style='width:60px' type='submit' name='import_data_no' value='".$locale['nnp223']."'/>";
	      echo "</form>";
	      echo "</center>";
	   }
	}
   closetable();
} else {
   //save config
	if (isset($_POST['save_config']) && $_POST['save_config']!="") {
	   $config_file="<?php\n".
	   "//version:".NNP_VERSION."\n".
	   "$"."nnp_style="."\"".$_POST['nnp_style']."\"".";\n?>";

	   $fp = @fopen("new_navigation_config.php", "w");
	   @fwrite ($fp, $config_file);
	   @fclose($fp);
	}
	include ("new_navigation_config.php");
	if ($action == "delete") {
	   opentable($locale['400']);
	      $data = dbarray(dbquery("SELECT * FROM ".$db_prefix."site_links_new WHERE link_id='$link_id'"));
	      if (NO_MFUSION==true) {
	         $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'");
	         $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'");
	         $result = dbquery("DELETE FROM ".$db_prefix."site_links WHERE link_id='$link_id'");
	         $result = dbquery("DELETE FROM ".$db_prefix."site_links_new WHERE link_id='$link_id'");
	      } else {
	         $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order-1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>'".$data['link_order']."'");
	         $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order-1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>'".$data['link_order']."'");
	         $result = dbquery("DELETE FROM ".$db_prefix."site_links WHERE link_id='$link_id'");
	         $result = dbquery("DELETE FROM ".$db_prefix."site_links_new WHERE link_id='$link_id'");
	      }
	   echo "<center><br>
	".$locale['401']."<br><br>
	<a href='".FUSION_SELF."'>".$locale['402']."</a><br><br>
	<a href='index.php'>".$locale['403']."</a><br><br>
	</center>\n";
	   closetable();
	} else {
	   if (isset($_POST['savelink'])) {
	      $link_name = stripinput($_POST['link_name']);
	      $link_url = stripinput($_POST['link_url']);
	      $link_position = $_POST['link_position'];
	      $link_window = $_POST['link_window'];
	      $link_img = $_POST['link_img'];
	      $link_open = $_POST['link_open'];
	      if ($action == "edit") {
	         $data = dbarray(dbquery("SELECT link_order FROM ".$db_prefix."site_links WHERE link_id='$link_id'"));
	         if($link_order < $data['link_order']){
	            if (NO_MFUSION==true) {
	               $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order+1 WHERE link_order>='$link_order' AND link_order<'$data[link_order]'");
	               $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order+1 WHERE link_order>='$link_order' AND link_order<'$data[link_order]'");
	            } else {
	               $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order+1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>='$link_order' AND link_order<'$data[link_order]'");
	               $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order+1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>='$link_order' AND link_order<'$data[link_order]'");
	            }
	         } else if ($link_order > $data['link_order']){
	            if (NO_MFUSION==true) {
	               $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."' AND link_order<='$link_order'");
	               $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."' AND link_order<='$link_order'");
	            } else {
	               $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order-1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>'".$data['link_order']."' AND link_order<='$link_order'");
	               $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order-1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>'".$data['link_order']."' AND link_order<='$link_order'");
	            }
	         }           
	         if (NO_MFUSION==true) {
	            $result = dbquery("UPDATE ".$db_prefix."site_links SET link_name='$link_name', link_url='$link_url', link_visibility='$link_visibility', link_position='$link_position', link_window='$link_window', link_order='$link_order' WHERE link_id='$link_id'");
	            $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_name='$link_name', link_url='$link_url', link_visibility='$link_visibility', link_position='$link_position', link_window='$link_window', link_order='$link_order', link_img='$link_img', link_open='$link_open', link_language='".ADMIN_LANGUAGE."' WHERE link_id='$link_id'");
	         } else {
	            $result = dbquery("UPDATE ".$db_prefix."site_links SET link_name='$link_name', link_url='$link_url', link_visibility='$link_visibility', link_position='$link_position', link_window='$link_window', link_order='$link_order', link_language='".ADMIN_LANGUAGE."' WHERE link_id='$link_id'");
	            $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_name='$link_name', link_url='$link_url', link_visibility='$link_visibility', link_position='$link_position', link_window='$link_window', link_order='$link_order', link_img='$link_img', link_open='$link_open', link_language='".ADMIN_LANGUAGE."' WHERE link_id='$link_id'");
	         }
	         redirect(FUSION_SELF);
	      } else {
	         if(!$link_order) {
	            if (NO_MFUSION==true) {
	               $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links"),0)+1;
	               $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links_new WHERE link_language='".ADMIN_LANGUAGE."'"),0)+1;
	            } else {
	               $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links WHERE link_language='".ADMIN_LANGUAGE."'"),0)+1;
	               $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."site_links_new WHERE link_language='".ADMIN_LANGUAGE."'"),0)+1;
	            }
	         }
	         if (NO_MFUSION==true) {
	            $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order+1 WHERE link_order>='$link_order'"); 
	            $result = dbquery("INSERT INTO ".$db_prefix."site_links VALUES('', '$link_name', '$link_url', '$link_visibility', '$link_position', '$link_window', '$link_order')");
	            $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order+1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>='$link_order'"); 
	            $result = dbquery("INSERT INTO ".$db_prefix."site_links_new VALUES('', '$link_name', '$link_url', '$link_visibility', '$link_position', '$link_window', '$link_order', '$link_img', '$link_open', '".ADMIN_LANGUAGE."')");
	         } else {
	            $result = dbquery("UPDATE ".$db_prefix."site_links SET link_order=link_order+1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>='$link_order'"); 
	            $result = dbquery("INSERT INTO ".$db_prefix."site_links VALUES('', '$link_name', '$link_url', '$link_visibility', '$link_position', '$link_window', '$link_order', '".ADMIN_LANGUAGE."')");
	            $result = dbquery("UPDATE ".$db_prefix."site_links_new SET link_order=link_order+1 WHERE link_language='".ADMIN_LANGUAGE."' AND link_order>='$link_order'"); 
	            $result = dbquery("INSERT INTO ".$db_prefix."site_links_new VALUES('', '$link_name', '$link_url', '$link_visibility', '$link_position', '$link_window', '$link_order', '$link_img', '$link_open', '".ADMIN_LANGUAGE."')");
	         }
	         redirect(FUSION_SELF);
	      }
	   }
	   //config
	   $navigation = "
	   <table class='tbl-border' width='100%' height='20' cellpadding='0' cellspacing='1'>
	      <tr>
	         <td style='width:50%;text-align:center' class='".($nnp_page==1?"tbl1":"tbl2")."'>".($nnp_page==1?"<b>".$locale['nnp250']."</b>":"<a href='".FUSION_SELF."?nnp_page=1'>".$locale['nnp250']."</a>")."</td>
	         <td style='width:50%;text-align:center' class='".($nnp_page==2?"tbl1":"tbl2")."'>".($nnp_page==2?"<b>".$locale['nnp251']."</b>":"<a href='".FUSION_SELF."?nnp_page=2'>".$locale['nnp251']."</a>")."</td>
	      </tr>
	   </table>\n";
	   if (isset($nnp_page) && $nnp_page==2) {
         opentable($locale['411']);
	   	echo $navigation;
	   	echo "<br><br>";
	      echo "<form name='layoutform' method='post' action='".FUSION_SELF."'>
	      <table align='center' cellspacing='0' cellpadding='0'>
	      <tr>
	      <td class='tbl'>".$locale['nnp260']."</td>
	      <td class='tbl'>
	      <select class='textbox' name='nnp_style'>
	         <option value='images_pull' ".($nnp_style=="images_pull"?"selected":"").">".$locale['nnp261']."</option>
	         <option value='images' ".($nnp_style=="images"?"selected":"").">".$locale['nnp262']."</option>
	         <option value='classic_pull' ".($nnp_style=="classic_pull"?"selected":"").">".$locale['nnp263']."</option>
	         <option value='classic' ".($nnp_style=="classic"?"selected":"").">".$locale['nnp264']."</option>
	      </select>
	      </td>
	      </tr>
	      <tr>
	      <td class='tbl' colspan='2'>
	      <center>
	      <input type='submit' name='save_config' value='".$locale['nnp265']."' class='button' style='width:100px;'>
	      </center>
	      </td>
	      </tr>
	      </table>\n";
			closetable();	   
	   } else {
	      if ($action == "edit") {
	         $result = dbquery("SELECT * FROM ".$db_prefix."site_links_new WHERE link_id='$link_id'");
	         $data = dbarray($result);
	         $link_name = $data['link_name'];
	         $link_url = $data['link_url'];
	         $link_visibility = $data['link_visibility'];
	         $link_order = $data['link_order'];
	         $pos1_check = ($data['link_position']=="1" ? " checked" : "");
	         $pos2_check = ($data['link_position']=="2" ? " checked" : "");
	         $pos3_check = ($data['link_position']=="3" ? " checked" : "");
	         $window_check = ($data['link_window']=="1" ? " checked" : "");
	         $link_img = $data['link_img'];
	         $open_check = ($data['link_open']=="1" ? " checked" : "");
	         $formaction = FUSION_SELF."?action=edit&link_id=".$data['link_id'];
	         opentable($locale['410']);
	      } else {
	         $link_name = "";
	         $link_url = "";
	         $link_visibility = "";
	         $link_order = "";
	         $pos1_check = " checked";
	         $pos2_check = "";
	         $pos3_check = "";
	         $window_check = "";
	         $link_img = "";
	         $link_open = "";
	         $open_check = "";
	         $formaction = FUSION_SELF;
	         opentable($locale['411']);
	      }
	      $visibility_opts = ""; $sel = "";
	      $user_groups = getusergroups();
	      while(list($key, $user_group) = each($user_groups)){
	         $sel = ($link_visibility == $user_group['0'] ? " selected" : "");
	         $visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	      }
	      echo $navigation;
	      echo "<form name='layoutform' method='post' action='$formaction'>
	   <table align='center' cellspacing='0' cellpadding='0'>
	   <tr>
	   <td class='tbl'>".$locale['420']."</td>
	   <td class='tbl'><input type='text' name='link_name' value='$link_name' maxlength='100' class='textbox' style='width:240px;'></td>
	   </tr>
	   <tr>
	   <td class='tbl'>".$locale['421']."</td>
	   <td class='tbl'><input type='text' name='link_url' value='$link_url' maxlength='200' class='textbox' style='width:240px;'></td>
	   </tr>
	   <tr>
	   <td class='tbl'>".$locale['422']."</td>
	   <td class='tbl'><select name='link_visibility' class='textbox'>
	   $visibility_opts</select>
	   ".$locale['423']."
	   <input type='text' name='link_order'  value='$link_order' maxlength='2' class='textbox' style='width:40px;'></td>
	   </tr>
	   <tr>
	   <td valign='top' class='tbl'>".$locale['424']."</td>
	   <td class='tbl'><input type='radio' name='link_position' value='1'$pos1_check> ".$locale['425']."<br>
	   <input type='radio' name='link_position' value='2'$pos2_check> ".$locale['426']."<br>
	   <input type='radio' name='link_position' value='3'$pos3_check> ".$locale['427']."<hr>
	   <input type='checkbox' name='link_window' value='1'$window_check> ".$locale['428']."<hr>
	   </td>
	   </tr>
	   <tr>
	   <td valign='top' class='tbl'>".$locale['nnp200']."</td>
	   <td class='tbl'>
	   <select name='link_img' class='textbox' onChange=\"document.selected_img.src = 'images/' + document.layoutform.link_img.options[document.layoutform.link_img.selectedIndex].value;\">\n";
	   echo "<option value='null.gif' $imgsel>".$locale['nnp203']."</option>\n";
	   $temp = opendir("images");
	   while ($folder = readdir($temp)) {
	      if ($folder!="." && $folder!=".." && strpos($folder, ".gif")!=false) {
	         if ($data['link_img']==$folder) {
	            $imgsel=" selected";
	         } else {
	            $imgsel="";
	         }
	         echo "<option value='".$folder."' $imgsel>".$folder."</option>\n";
	      }
	   }
	   closedir($temp);
	   sort($img_list);
	   echo "</select>\n&nbsp;&nbsp;
	   ".$locale['nnp201']." <img name='selected_img' src='images/".($link_img ? $link_img : "null.gif")."' border=0><br><br>
	   <input type='checkbox' name='link_open' value='1'$open_check> ".$locale['nnp202']."<hr>
	   </td>
	   </tr>
	   <tr>
	   <td align='center' colspan='2' class='tbl'>
	   <input type='submit' name='savelink' value='".$locale['429']."' class='button'></td>
	   </tr>
	   </table>
	   </form>\n";
	      closetable();
	      tablebreak();
	      opentable($locale['412']);
	      echo "<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
	   <tr>
	   <td class='tbl2'>".$locale['430']."</td>
	   <td align='center' class='tbl2'>".$locale['431']."</td>
	   <td align='center' class='tbl2'>".$locale['432']."</td>
	   <td align='right' class='tbl2'>".$locale['433']."</td>
	   </tr>\n";
	      $result = dbquery("SELECT * FROM ".$db_prefix."site_links_new WHERE link_language='".ADMIN_LANGUAGE."' ORDER BY link_order");
	      if (dbrows($result) != 0) {
	         while($data = dbarray($result)) {
	            echo "<tr>\n<td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"").">";
	            if ($data['link_position'] == 3) echo "<i>";
	            if ($data['link_name'] != "---" && $data['link_url'] == "---") {
	               echo "<img src='images/".$data['link_img']."' border='0' width='10' height='10'> <b>".$data['link_name']."</b> <span class='alt'>".($data['link_open']==0 ? "[".$locale['nnp210']."]" : "[".$locale['nnp211']."]")."</span>\n";
	            } else if ($data['link_name'] == "---" && $data['link_url'] == "---") {
	               echo "<hr>\n";
	            } else {
	               if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
	                  echo "<img src='".THEME."images/bullet.gif' alt='bullet' border='0'> <a href='".$data['link_url']."'>".$data['link_name']."</a>\n";
	               } else {
	                  echo "<img src='".THEME."images/bullet.gif' alt='bullet' border='0'> <a href='".BASEDIR.$data['link_url']."'>".$data['link_name']."</a>\n";
	               }
	            }
	            if ($data['link_position'] == 3) echo "</i>";
	            echo "</td>
	   <td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"")." align='center'>".getgroupname($data['link_visibility'])."</td>
	   <td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"")." align='center'>".$data['link_order']."</td>
	   <td ".($data['link_name']!="---"&&$data['link_url']=="---"?"class='tbl2'":"")." align='right'><a href='".FUSION_SELF."?action=edit&link_id=".$data['link_id']."'>".$locale['434']."</a> -
	   <a href='".FUSION_SELF."?action=delete&link_id=".$data['link_id']."'>".$locale['435']."</a></td>
	   </tr>\n";
	         }
	      } else {
	         echo "<tr colspan='4'>\n<td>".$locale['436']."</td>\n</tr>\n";
	      }
	      echo "</table>\n";
	      closetable();
	   }
	}
	echo "</td>\n";
}
require_once BASEDIR."footer.php";
?>