<?php
//version:1.2
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

if (!defined("LANGUAGE")) {
	define ("LANGUAGE", $settings['locale']);
}

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."new_navigation_panel/locale/".LANGUAGE.".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."new_navigation_panel/locale/".LANGUAGE.".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."new_navigation_panel/locale/English.php";
}

// Infusion general information
$inf_title = "New Navigation Panel";
$inf_description = $locale['nnp101'];
$inf_version = "1.2";
$inf_developer = "Wooya";
$inf_email = "2loud@2loud.art.pl";
$inf_weburl = "http://www.mfusion.prv.pl";

$inf_folder = "new_navigation_panel"; // The folder in which the infusion resides.
$inf_admin_image = "nnp.gif"; // Leave blank to use the default image.
$inf_admin_panel = "new_navigation_admin.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx103']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "site_links_new (
link_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
link_name VARCHAR(100) NOT NULL DEFAULT '',
link_url VARCHAR(200) NOT NULL DEFAULT '',
link_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
link_position TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
link_window TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
link_order SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
link_img VARCHAR(10)NOT NULL DEFAULT '000.gif',
link_open TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
link_language VARCHAR(50) NOT NULL DEFAULT '".LANGUAGE."',
PRIMARY KEY (link_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "site_links_new";
?>